EXP(3) | Library Functions Manual | EXP(3)

# NAME

exp, expf, exp2, exp2f, expm1, expm1f, — exponential functions

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
exp(double x);

float
expf(float x);

double
exp2(double x);

float
exp2f(float x);

double
expm1(double x);

float
expm1f(float x);

# DESCRIPTION

The exp() and expf() functions compute the base e exponential value of the given argument x.

The exp2() and exp2f() functions compute the base 2 exponential of the given argument x.

The expm1() and expm1f() functions compute the value exp(x)-1 accurately even for tiny argument x.

# RETURN VALUES

These functions will return the appropriate computation unless an error occurs or an argument is out of range. The functions exp() and expm1() detect if the computed value will overflow, set the global variable errno to ERANGE and cause a reserved operand fault on a VAX.

# SEE ALSO

math(3)

# STANDARDS

The exp() functions conform to ANSI X3.159-1989 (“ANSI C89”). The exp2(), exp2f(), expf(), expm1(), and expm1f() functions conform to ISO/IEC 9899:1999 (“ISO C99”).

# HISTORY

The exp() functions appeared in Version 6 AT&T UNIX. The expm1() function appeared in 4.3BSD.

September 13, 2011 | NetBSD 7.2